function hallucinateLevel(game) {
    setInterval(function() {
        game.scene.activeCameras[0].rotation.y += Math.random() * 0.2 - 0.4;
        game.scene.activeCameras[0].rotation.z += Math.random() * 0.12 - 0.24;
    }, 2200);

    //async shaking the cam for realistic effect

    setInterval(function() {
        game.scene.activeCameras[0].rotation.x += Math.random() * 0.08 - 0.14;
    }, 2600);

    var flashbacks = [];
    for(let f = 0;f < 2;f ++) {
        flashbacks.push(new BABYLON.StandardMaterial('hallucinate', game.scene));
        flashbacks[f].diffuseTexture = new BABYLON.Texture(`assets/paintings/flashback_${f}.jpg`, game.scene);
    }

    if (game.human) {
        //patch explode
        flashbacks.push(game.human.material);
        setInterval(() => {
            game.human.material = flashbacks[Math.floor((Math.random() * 3))];
        },  2200);
    }
}
